Refresh access token
post
Exchange a refresh token for a new access token.
Path parameters
apiKeystringRequired
API key generated at https://studio.aurora.dev
Body
refreshTokenstringRequiredExample:
Refresh token obtained from the authenticate endpoint.
<jwt>Responses
200
New access token issued
application/json
New access token issued
accessTokenstringRequiredExample:
New JWT access token.
<jwt>expiresInnumberRequiredExample:
Access token lifetime in seconds.
900400
Default Response
application/json
401
Invalid or expired refresh token
application/json
500
Internal Server Error - Failed to reach the auth service
application/json
post/api/auth/refresh/{apiKey}
POST /api/auth/refresh/{apiKey} HTTP/1.1
Host: intents-api.aurora.dev
Content-Type: application/json
Accept: */*
Content-Length: 24
{
"refreshToken": "<jwt>"
}{
"accessToken": "<jwt>",
"expiresIn": 900
}Last updated
